Loading...
Searching...
No Matches
l4virtio_block_header_t Struct Reference
L4 VIRTIO Interface » L4 VIRTIO Block Device

Header structure of a request for a block device. More...

`#include <virtio_block.h>`

Collaboration diagram for l4virtio_block_header_t:

## Data Fields

l4_uint32_t | type
| Kind of request, see L4virtio_block_operations.
l4_uint32_t | ioprio
| Priority (unused).
l4_uint64_t | sector
| First sector to read/write.

## Detailed Description

Header structure of a request for a block device.

Definition at line 42 of file virtio_block.h.

The documentation for this struct was generated from the following file:

- l4/l4virtio/virtio_block.h